module.exports = {
  env: {
    browser: true,
    es2021: true
  },
  extends: [
    'plugin:react/recommended',
    'standard'
  ],
  parser: '@babel/eslint-parser',
  parserOptions: {
    ecmaFeatures: {
      jsx: true
    },
    ecmaVersion: 'latest',
    sourceType: 'module',
    requireConfigFile: false,
    babelOptions: {
      presets: ['@babel/preset-react']
    }
  },
  settings: {
    react: {
      version: 'detect'
    }
  },
  plugins: [
    'react'
  ],
  overrides: [
    {
      files: ['**/*.js', '**/*.jsx'],
      rules: {
        'no-unused-vars': ['off'],
        'no-undef': ['off'],
        'react/prop-types': ['off'],
        'react/display-name': ['off'],
        'no-var': 'warn',
        'max-len': ['warn', { code: 120 }],
        'jest/valid-expect': ['off'],
        'react/react-in-jsx-scope': 'off',
        'comma-dangle': ['warn', {
          arrays: 'never',
          objects: 'never',
          imports: 'never',
          exports: 'never',
          functions: 'never'
        }],
        semi: [2, 'always'],
        'semi-spacing': ['warn', { before: false, after: true }]
      }
    }
  ]
};
